> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2bookingdeparturesmeta



## OpenAPI

````yaml /openapi/ibis-api.openapi.json get /api/v2/booking/departures/meta
openapi: 3.0.0
info:
  version: v2
  title: IbisNx.API v2
servers:
  - url: https://online.ibisres.com
security: []
paths:
  /api/v2/booking/departures/meta:
    get:
      tags:
        - NxServerApi
      operationId: NxServerApi_BookingDeparturesMeta
      parameters:
        - name: departure_key
          in: query
          required: false
          schema:
            type: string
        - name: existing_locks
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/_departure_meta'
            text/json:
              schema:
                $ref: '#/components/schemas/_departure_meta'
            application/xml:
              schema:
                $ref: '#/components/schemas/_departure_meta'
            text/xml:
              schema:
                $ref: '#/components/schemas/_departure_meta'
components:
  schemas:
    _departure_meta:
      required:
        - product_datetime
      type: object
      properties:
        departure_key:
          type: string
        product_code:
          type: string
        product_name:
          type: string
        product_datetime:
          format: date-time
          type: string
        departure_datetime:
          format: date-time
          type: string
        available_places:
          format: int32
          type: integer
        book_items:
          type: array
          items:
            $ref: '#/components/schemas/_booking_item'
        pickup_dropoffs:
          type: array
          items:
            $ref: '#/components/schemas/_pickup_dropoff'
        marketing_regions:
          type: array
          items:
            $ref: '#/components/schemas/_key_value'
        extra_info1_list:
          type: array
          items:
            $ref: '#/components/schemas/_key_value'
        disclaimer:
          type: string
        pickup_default:
          type: string
        dropoff_default:
          type: string
        addon_items:
          type: array
          items:
            $ref: '#/components/schemas/_addon_item'
        settlement_method:
          type: string
    _booking_item:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        description:
          type: string
        list_order:
          format: int32
          type: integer
        unit_price_inc:
          format: double
          type: number
        units:
          format: int32
          type: integer
        places_per_unit:
          format: int32
          type: integer
        Details:
          type: string
        line_commission:
          format: double
          type: number
        item_type:
          type: string
        max_avail:
          format: int32
          type: integer
        online_attribs:
          type: string
    _pickup_dropoff:
      type: object
      properties:
        id:
          format: int32
          type: integer
        time_offset:
          format: int32
          type: integer
        is_pickup:
          type: boolean
        is_dropoff:
          type: boolean
        location:
          type: string
        lat_long:
          type: string
        Note:
          type: string
        address_note:
          type: string
        PickupDropOff_datetime:
          format: date-time
          type: string
    _key_value:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
        data1:
          type: string
        data2:
          type: string
    _addon_item:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        description:
          type: string
        online_attribs:
          type: string
        list_order:
          format: int32
          type: integer
        unit_price_inc:
          format: double
          type: number
        units:
          format: int32
          type: integer
        line_commission:
          format: double
          type: number
        max_avail:
          format: int32
          type: integer
        places_per_unit:
          format: int32
          type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.